<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateApplicationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('applications', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('user_id')->nullable();
            $table->string('full_name' , 50);
            $table->string('email' , 100);
            $table->string('phone_no' , 20);
            $table->string('address' , 150);
            $table->char('ever_lived_montreal' , 1);
            $table->string('gender' , 30);
            $table->string('age_slot' , 30);
            $table->string('education' , 100);
            $table->string('field_of_study' , 250);
            $table->string('profession' , 50);
            $table->char('volunteering_before' , 1);
            $table->string('volunteer_experience' , 200);
            $table->string('volunteer_other_experience' , 200);
            $table->string('speak_languages_other' , 150);
            $table->string('how_know_project' , 250);
            $table->string('willing_undergo_background' , 100);
            $table->string('more_us_to_know' , 300);
            $table->string('cv' , 100);
            $table->char('status' , 1);
            $table->string('internal_reason' )->nullable();
            $table->string('extarnal_reason' )->nullable();
            $table->bigInteger('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('applications');
    }
}
