@extends('admin.include.main')
@section('content')

<div class="modal fade" id="normalmodal" tabindex="-1" role="dialog" aria-labelledby="normalmodal"
aria-hidden="true">
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="normalmodal1">Add Client</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">×</span>
            </button>
        </div>

        <form action="{{ route('admin.users.store') }}" method="POST">
            @csrf
            <input type="hidden" name="user_type"  value="client">
            <div class="modal-body">
                <div class="row">
                    <div class="col-6">
                        <div class="form-group">
                            <label for="name">First Name</label>
                            <input type="text"
                                class="form-control 
                            @if (session('status') == 'add')
                            
                            @error('first_name') is-invalid @enderror
                            @endif
                            "
                                name="first_name" id="name" aria-describedby="helpId" placeholder=""
                                value="{{ old('first_name') }}">
                            @error('first_name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>


                    <div class="col-6">
                        <div class="form-group">
                            <label for="name">Last Name</label>
                            <input type="text"
                                class="form-control 
                            @if (session('status') == 'add')
                            
                            @error('last_name') is-invalid @enderror
                            @endif
                            "
                                name="last_name" id="name" aria-describedby="helpId" placeholder=""
                                value="{{ old('last_name') }}">
                            @error('last_name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-6">
                        <div class="form-group">
                            <label for="name">Email</label>
                            <input type="text"
                                class="form-control 
                            @if (session('status') == 'add')
                            
                            @error('email') is-invalid @enderror
                            @endif
                            "
                                name="email" id="name" aria-describedby="helpId" placeholder=""
                                value="{{ old('email') }}">
                            @error('email')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="form-group">
                            <label for="name">Password</label>
                            <input type="password"
                                class="form-control 
                            @if (session('status') == 'add')
                            
                                @error('password') is-invalid @enderror
                            @endif    
                                "
                                name="password" id="name" aria-describedby="helpId" placeholder="">
                            @error('password')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-6">
                        <div class="form-group">
                            <label for="name">City</label>
                            <input type="text"
                                class="form-control 
                            @if (session('status') == 'add')
                                
                                @error('city') is-invalid @enderror
                                @endif
                                "
                                name="city" id="name" value="{{ old('city') }}" aria-describedby="helpId"
                                placeholder="">
                            @error('city')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>

                    <div class="col-6">
                        <div class="form-group">
                            <label for="name">Phone No</label>
                            <input type="text"
                                class="form-control 
                                @if (session('status') == 'add')
                                
                                    @error('phone') is-invalid @enderror
                                @endif    
                            "
                                name="phone" id="name" value="{{ old('phone') }}" aria-describedby="helpId"
                                placeholder="">
                            @error('phone')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-6">
                        <div class="form-group">
                            <label for="name">Address One</label>
                            <input type="text"
                                class="form-control 
                                @if (session('status') == 'add')
                            
                                    @error('address_one') is-invalid @enderror
                                @endif
                                "
                                name="address_one" value="{{ old('address_one') }}" id="name"
                                aria-describedby="helpId" placeholder="">
                            @error('address_one')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>

                    <div class="col-6">
                        <div class="form-group">
                            <label for="name">Address Two</label>
                            <input type="text"
                                class="form-control 
                                @if (session('status') == 'add')
                            
                                    @error('address_two') is-invalid @enderror
                                @endif
                                "
                                name="address_two" value="{{ old('address_two') }}" id="name"
                                aria-describedby="helpId" placeholder="">
                            @error('address_two')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-6">
                        <div class="form-group">
                            <label for="name">Postal Code</label>
                            <input type="number"
                                class="form-control 
                            @if (session('status') == 'add')
                            
                                @error('postal_code') is-invalid @enderror
                            @endif
                            "
                                name="postal_code" value="{{ old('postal_code') }}" id="name"
                                aria-describedby="helpId" placeholder="">
                            @error('postal_code')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>

                    <div class="col-6">
                        <div class="form-group">
                            <label for="name">Username</label>
                            <input type="text" value="{{ old('username') }}"
                                class="form-control 
                                @if (session('status') == 'add')
                                
                                @error('username') is-invalid @enderror
                                @endif
                                "
                                name="uname" id="name" aria-describedby="helpId" placeholder="">
                            @error('username')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-info" data-bs-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-danger">Save</button>
            </div>
        </form>
    </div>
</div>
</div>

    <div class="card">
        <div class="card-header">
            <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">Client Screening</div>
                </div>
                <div class="col-6">
                    <button class="btn btn-info mt-3 float-end" data-bs-toggle="modal" data-bs-target="#normalmodal">
                        <i class="fa fa-plus"></i>Add New Client
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Phone Number</th>
                            <th>Action</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($client as $item)
                            <tr class="table-subheader table-success">
                                <td>{{ $item->get_name() }}</td>
                                <td>{{ $item->email }}</td>
                                <td>{{ $item->phone }}</td>
                                <td> 
                                    @if($item->screening==null )
                                    <a data-bs-toggle="modal" class="btn btn-primary "
                                    data-bs-target="#modelscreening{{ $item->id }}">Screening</a>
                                    <a data-bs-toggle="modal" class="btn btn-primary "
                                    data-bs-target="#modelunsuccess{{ $item->id }}">Unsuccessfull Call</a>
                                   </td>
                                    
                                       @else 
                                       <a data-bs-toggle="modal" class="btn btn-primary "
                                        data-bs-target="#modelaccept{{ $item->id }}">Accept</a>
                                        <a data-bs-toggle="modal" class="btn btn-primary "
                                        data-bs-target="#modelreject{{ $item->id }}">Reject</a></td>
                                    @endif

                                <div class="modal fade" id="modelscreening{{ $item->id }}" tabindex="-1"
                                    role="dialog" aria-labelledby="largemodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="largemodal">{{ $item->get_name() }} Screening
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="{{route('admin.client.screening')}}" method="post">
                                                @csrf
                                            <div class="modal-body">
                                                <input type="hidden" name="client_id" value="{{$item->id}}">
                                                <div class="row ">
                                                    <div class="col-12">
                                                        <div class="form-group">
                                                            <label for="call_back">Consent to being screened at this time
                                                                (client has time to reschedule- +call back option)</label>
                                                            <input type="text" class="form-control" name="call_back"
                                                                id="call_back" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="age">How old are you?</label>
                                                            <input type="text" class="form-control" name="age"
                                                                id="age" aria-describedby="helpId"
                                                                placeholder=" Enter old are you">
                                                        </div>
                                                    </div>
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="environment">What environment do you live in?</label>
                                                            <input type="text" class="form-control" name="environment"
                                                                id="environment" aria-describedby="helpId"
                                                                placeholder=" Enter live environment">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row mt-5">

                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="area">What area do you live in?</label>
                                                            <input type="text" class="form-control" name="area"
                                                                id="area" aria-describedby="helpId"
                                                                placeholder=" Enter area">
                                                        </div>
                                                    </div>
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="is_covid">How have you been feeling in response to
                                                                COVID-19?</label>
                                                            <input type="text" class="form-control" name="feeling_covid"
                                                                id="is_covid" aria-describedby="helpId"
                                                                placeholder=" Enter  feeling in response to
                                                                COVID-19">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row mt-5">

                                                    <div class="col-12">
                                                        <div class="form-group">
                                                            <label for="feeling_lately">How have you been feeling lately? Do you
                                                                feel anxious or stressed? Do you feel depressed?</label>
                                                            <input type="text" class="form-control" name="feeling_lately"
                                                                id="feeling_lately" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>
                                                </div>
                                             
                                                <div class="row mt-5">
                                                    <div class="col-12">
                                                        <div class="form-group">
                                                            <label for="physical_changes">Any recent changes in your physical
                                                                functioning - the ability to mobilize,difficulties with
                                                                navigating the house, preparing meals etc.? </label>
                                                            <input type="text" class="form-control" name="physical_changes"
                                                                id="physical_changes" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row mt-5">
                                                    <div class="col-12">
                                                        <div class="form-group">
                                                            <label for="thoughts">*Preface warning*: Have you had thoughts of
                                                                harming yourself or others? </label>
                                                            <input type="text" class="form-control" name="thoughts"
                                                                id="thoughts" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="row mt-5">
                                                    <div class="col-12">
                                                        <div class="form-group">
                                                            <label for="reason">Do you ever worry that someone might be
                                                                trying to hurt/harm you, do you ever see/feel/hear things
                                                                that might not be there? </label>
                                                            <input type="worry_about_hurt" class="form-control" name="worry_about_hurt"
                                                                id="worry_about_hurt" aria-describedby="helpId"
                                                                placeholder="">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row mt-5">
                                                    <div class="col-12">
                                                        <div class="form-group">
                                                            <label for="clinician">Do you have a clinician, such as a doctor,
                                                                nurse, or social worker? Do you have their number? We would
                                                                like to be able to contact him/her in case you are not doing
                                                                well, are you ok with that? </label>
                                                            <input type="text" class="form-control" name="clinician"
                                                                id="clinician" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row mt-5">
                                                    <div class="col-12">
                                                        <div class="form-group">
                                                            <label for="emergency_contact">Do you have someone you would like to put
                                                                down as your emergency contact? </label>
                                                            <input type="text" class="form-control" name="emergency_contact"
                                                                id="emergency_contact" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row mt-5">

                                                    <div class="col-12">
                                                        <div class="form-group">
                                                            <label for="familiar_with">Are you familiar with using the
                                                                computer/another tech? </label>
                                                            <input type="text" class="form-control" name="familiar_with"
                                                                id="familiar_with" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row mt-5">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="preference_volunteer">Do you have any preference for your
                                                                volunteer? </label>
                                                            <input type="text" class="form-control" name="preference_volunteer"
                                                                id="preference_volunteer" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="research_participation">Research participation? </label>
                                                            <input type="text" class="form-control" name="research_participation"
                                                                id="research_participation" aria-describedby="helpId"
                                                                placeholder="">
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                    data-bs-dismiss="modal">Close</button>
                                                <button type="submit" class="btn btn-success">Save</button>
                                            </div>
                                        </form>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal fade" id="modelaccept{{ $item->id }}" tabindex="-1"
                                    role="dialog" aria-labelledby="largemodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="largemodal">{{ $item->get_name() }} Accept
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="{{route('admin.client.store',"A")}}" method="post">
                                                @csrf
                                            <div class="modal-body">
                                                <input type="hidden" name="client_id" value="{{$item->id}}">
                                                <div class="row ">
                                                    <div class="col-md-5 col-lg-6">
                                                        <div class="form-group">
                                                            <label for="assign_color">Assign Color</label>
                                                            <select class="form-control select2-show-search " id="assign_color"
                                                                name="assign_color" data-placeholder="Choose one (with searchbox)">
                                                                <optgroup label="color">
                                                                        <option value="Green">Green</option>
                                                                        <option value="Amber">Amber</option>
                                                                        <option value="Red">Red</option>
                                                                </optgroup>
                                                            </select>
                                                        </div> 
                                                    </div>
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="fill_rubric">fill Rubric</label>
                                                            <input type="text" class="form-control" name="fill_rubric"
                                                                id="fill_rubric" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="acceptance_date">Date Of Acceptance</label>
                                                            <input type="date" class="form-control" name="acceptance_date"
                                                                id="acceptance_date" aria-describedby="helpId"
                                                                placeholder=" Enter date">
                                                        </div>
                                                    </div>
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="environment">Note/Comment</label>
                                                            <input type="text" class="form-control" name="note"
                                                                id="note" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="instruction">Instruction</label>
                                                            <input type="text" class="form-control" name="instruction"
                                                                id="instruction" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="emergency_contact">Emergency Contact</label>
                                                            <input type="number" class="form-control" name="emergency_contact"
                                                                id="emergency_contact" aria-describedby="helpId"
                                                                placeholder=" Enter ">
                                                        </div>
                                                    </div>  
                                                </div>
                                                <div class="row">
                                                    @php
                                                        
                                                    @endphp
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="volunteer_preferences">Volunteer Preferences</label>
                                                            <select class="form-control select2-show-search " id="volunteer_preferences"
                                                            name="volunteer_preferences" data-placeholder="Choose one (with searchbox)">
                                                            <optgroup label="volunteer" id="volunteer">
                                                                   
                                                            </optgroup>
                                                        </select>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                    data-bs-dismiss="modal">Close</button>
                                                <button type="submit" class="btn btn-success">Save</button>
                                            </div>
                                        </form>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal fade" id="modelreject{{ $item->id }}" tabindex="-1"
                                    role="dialog" aria-labelledby="largemodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="largemodal">{{ $item->get_name() }} Reject
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="" method="post">
                                                @csrf
                                            <div class="modal-body">
                                                <input type="hidden" name="client_id" value="{{$item->id}}">
                                                    <div class="row">
                                                        <div class="col-6">
                                                            <div class="form-group">
                                                                <label for="reject_reason">Rejected Reason</label>
                                                                <input type="text" class="form-control" name="reject_reason"
                                                                    id="reject_reason" aria-describedby="helpId"
                                                                    placeholder=" Enter ">
                                                            </div>
                                                        </div>
                                                    </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                    data-bs-dismiss="modal">Close</button>
                                                <button type="submit" class="btn btn-success">Save</button>
                                            </div>
                                        </form>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal fade" id="modelunsuccess{{ $item->id }}" tabindex="-1"
                                    role="dialog" aria-labelledby="largemodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="largemodal">{{ $item->get_name() }} Reject
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="" method="post">
                                                @csrf
                                            <div class="modal-body">
                                                <input type="hidden" name="client_id" value="{{$item->id}}">
                                                    <div class="row">
                                                        <div class="col-6">
                                                            <div class="form-group">
                                                                <label for="reject_reason">Rejected Reason</label>
                                                                <input type="text" class="form-control" name="reject_reason"
                                                                    id="reject_reason" aria-describedby="helpId"
                                                                    placeholder=" Enter ">
                                                            </div>
                                                            
                                                        </div>
                                                        <div class="col-6">
                                                            <div class="form-group">
                                                                <label for="date">Date</label>
                                                                <input type="datetime" class="form-control" name="date"
                                                                    id="date" aria-describedby="helpId"
                                                                   >
                                                            </div>
                                                            
                                                        </div>
                                                    </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-info"
                                                    data-bs-dismiss="modal">Close</button>
                                                <button type="submit" class="btn btn-success">Save</button>
                                            </div>
                                        </form>
                                        </div>
                                    </div>
                                </div>

                            </tr>
                         

                           
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $('#assign_color').on('change', function(){
            var colr=$(this).val();
           console.log(colr);
           $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': "{{ csrf_token() }}",
                }
            });
            $.ajax({
                url: "{{ route('admin.volntr.color') }}",
                type: "GET",
                data: {
                    color: colr ,
                },
                success: function(result) {
                    if(result.status=="1"){
                        $("#volunteer").html(result.volunteer);
             
                    }
                    else{
                        $("#volunteer").html("<option>No Volnteer </option>");
                    }
                }


            });

 });
       
    </script>
@endsection