@extends('tip-users.include.main')
@section('content')
<div class="modal fade" id="normalmodal" tabindex="-1" role="dialog" aria-labelledby="normalmodal"
        aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="normalmodal1">Add Drop-in Session</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>

                <form action="{{ route('tip.session.store') }}" method="POST">
                    @csrf
                    <div class="modal-body">
                        
                                <div class="row">
                                    <div class="col-md-12 col-lg-12">
                                        <label class="form-control-label">Drop-in Session <span
                                                class="tx-danger">*</span></label>
                                        <div class="form-check">
                                            <input class="form-check-input mandatory" type="radio" name="status"
                                                id="mandatory1" value="O" >
                                            <label class="form-check-label" for="mandatory1">
                                            Open
                                            </label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input mandatory" type="radio" name="status"
                                                id="special2" value="C">
                                            <label class="form-check-label" for="special2">
                                                Close
                                            </label>
                                        </div>

                                    </div>
                               </div>

                                    <div class="row mt-5">
                                                <div class="col-md-5 col-lg-6">
                                                    <div class="form-group">
                                                        <label for="batch_title">Date</label>
                                                        <input type="date"   class="form-control @error('batch_title') is-invalid @enderror"  name="start_date" id="batch_title" aria-describedby="helpId" placeholder=" Enter date">
                                                          @error('batch_title')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                         @enderror
                                                    </div>    
                                                </div>
                                                <div class="col-md-5 col-lg-6">
                                                    <div class="form-group">
                                                        <label for="batch_desc">Start Time</label>
                                                        <input type="time" class="form-control @error('batch_desc') is-invalid @enderror"  name="start_time" id="batch_desc" aria-describedby="helpId" placeholder=" Enter Start Time">
                                                          @error('batch_desc')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>    
                                                </div>  
                                        
                                   </div>
                           
                                         <div class="row mt-5">
                                            <div class="col-md-5 col-lg-6">
                                                <div class="form-group">
                                                    <label for="batch_date">Duration</label>
                                                    <input type="text" class="form-control @error('batch_date') is-invalid @enderror" name="duration" id="batch_date" aria-describedby="helpId" placeholder=" Enter duration">
                                                     @error('batch_date')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                      @enderror
                                                </div>    
                                            </div>
                                            <div class="col-md-5 col-lg-6">
                                                <div class="form-group">
                                                    <label for="batch_starttime">Clinician</label>
                                                    <input type="text" class="form-control @error('batch_starttime') is-invalid @enderror"  name="clinician" id="batch_starttime" aria-describedby="helpId" placeholder=" Enter clinician">
                                                        @error('batch_starttime')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>    
                                            </div>
                                    </div>
                                     <div class="row mt-5">
                                            <div class="col-md-5 col-lg-6">
                                                <div class="form-group">
                                                    <label for="batch_duration">Zoom Link</label>
                                                    <input type="text" class="form-control @error('batch_duration') is-invalid @enderror" name="zoom_link" id="batch_duration" aria-describedby="helpId" placeholder=" Enter zoom link">
                                                        @error('batch_duration')
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong>{{ $message }}</strong>
                                                                </span>
                                                        @enderror
                                                </div>    
                                            </div>
                                    </div>
                             
                              
                   </div>
                   
                    <div class="modal-footer">
                        <button type="button" class="btn btn-info" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-danger">Save</button>
                    </div>
                </form>
            </div>
    </div>
</div>
    <div class="card">
        <div class="card-header">
            <div class="row w-100">
               <div class="col-6">
                   <div class="card-title mt-3">Drop-in Session</div>
               </div>
               <div class="col-6">
                   <button class="btn btn-info mt-3 float-end" data-bs-toggle="modal" data-bs-target="#normalmodal">
                       <i class="fa fa-plus"></i>New Drop-in Session
                   </button>
               </div>
           </div>
       </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th>Start Time</th>
                            <th>Duration</th>
                            <th>Clinician</th>
                            <th>zoom Link</th>

                        </tr>
                    </thead>
                      <tbody>
                          @foreach ($session as $item )
                             <tr>
                                 <td>{{$item->start_date}}</td>
                                 <td>{{ date('h:i:s a', strtotime($item->start_time))}}</td>
                                 <td>{{$item->duration}}</td>
                                 <td>{{$item->clinician}}</td>
                                 <td>{{$item->zoom_link}}</td>
                                 <td>
                                     @if($item->status=="O")
                                     <a data-bs-toggle="modal" data-bs-target="#modelupdate{{ $item->id }}" class="btn btn-success" href="">Update</a>
                                     @else
                                     <a class="btn btn-success" href="">Report</a>
                                     @endif
                                 </td>

                                  {{-- skill --}}
                                  <div class="modal fade" id="modelupdate{{ $item->id  }}" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal">Update 
                                                   </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="{{ route('tip.session.detail') }}"
                                                method="POST">
                                                @csrf
                                                <div class="modal-body">  
                                                    <input type="hidden" name="dropin_session_id" value="{{$item->id }}">                 
                                                        <div class="row mt-5">
                                                                    <div class="col-md-5 col-lg-6">
                                                                        @php
                                                                            $volntr= App\Models\Volunteer::get();
                                                                        @endphp
                                                                        <div class="form-group">
                                                                            <label for="batch_title">Volunteer</label>
                                                                            <select class="form-control select2-show-search " id="training_batch"
                                                                            name="volunteer_id" data-placeholder="Choose one (with searchbox)">
                                                                                <optgroup label="Volunteer">
                                                                                    @foreach ($volntr as $v)
                                                                                        <option value="{{ $v->id }}">{{ $v->vlntr_name }}</option>
                                                                                    @endforeach
                                                                                </optgroup>
                                                                            </select>
                                                                             
                                                                        </div>    
                                                                    </div>
                                                                    <div class="col-md-5 col-lg-6">
                                                                        @php
                                                                        $user= App\Models\User::where('user_type','client')->get();
                                                                    @endphp
                                                                        <div class="form-group">
                                                                            <label for="client_id">Client</label>
                                                                            <select class="form-control select2-show-search " id="client_id"
                                                                            name="client_id" data-placeholder="Choose one (with searchbox)">
                                                                                <optgroup label="Volunteer">
                                                                                    @foreach ($user as $u)
                                                                                        <option value="{{ $u->id }}">{{ $u->first_name }}</option>
                                                                                    @endforeach
                                                                                </optgroup>
                                                                            </select>
                                                                        </div>    
                                                                    </div>  
                                                            
                                                       </div>
                                               
                                                             <div class="row mt-5">
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_date">Notes</label>
                                                                        <input type="text" class="form-control " name="notes" id="notes" aria-describedby="helpId" placeholder=" Enter notes">
                                                                    </div>    
                                                                </div>
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_starttime">Generate Ticket</label>
                                                                            <div class="form-check">
                                                                                    <input class="form-check-input ticket" type="checkbox" name="generate_ticket"
                                                                                        id="mandatory1" value="Y" >
                                                                                    <label class="form-check-label" for="mandatory1">
                                                                                        Generate Ticket
                                                                                    </label>
                                                                            </div>
                                                                    </div>    
                                                                </div>
                                                        </div>
                                                         <div id="more" style="display: none">
                                                            <div class="row mt-5">
                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_duration">Ticket Title</label>
                                                                        <input type="text" class="form-control" name="ticket_title" id="batch_duration" aria-describedby="helpId" placeholder=" Enter ticket title">
                                                                    </div>    
                                                                </div>

                                                                <div class="col-md-5 col-lg-6">
                                                                    <div class="form-group">
                                                                        <label for="batch_date"></label>Ticket Priority
                                                                        <input type="text" class="form-control " name="ticket_priority" id="ticket_priority" aria-describedby="helpId" placeholder=" Enter ticket priority">
                                                                    </div>    
                                                                </div>
                                                        </div>

                                                        <div class="row mt-5">
                                                            <div class="col-md-5 col-lg-6">
                                                                <div class="form-group">
                                                                    <label for="batch_duration">Ticket Description</label>
                                                                    <input type="text" class="form-control" name="ticket_desc" id="ticket_desc" aria-describedby="helpId" placeholder=" Enter ticket Description">
                                                                </div>    
                                                            </div>
                                                        </div>

                                                         </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info"
                                                        data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-danger">Update</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            {{-- skill --}}
                             </tr>
                              
                          @endforeach
                      </tbody>
                </table>
            </div>
        </div>
    </div>
    {{-- detail model --}}
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>





@endsection

@section('script')
<script>
    $(document).on("change", ".ticket", function () {
   var check =($(this).val());    // Here you will get the current selected/checked radio option value
    console.log(check);
   if(check=="Y"){
     $('#more').show();
   
   }
   else{
    $('#more').hide();
   }

});
</script>


@endsection
